Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_declaration.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_declaration.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_declaration.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo {
@@ -13,17 +13,17 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::vhdl_declaration (Vhdl & vhdl)
+  void Select_Priority_Fixed::vhdl_declaration (Vhdl & vhdl)
   {
-    log_printf(FUNC,Priority_Fixed,"vhdl_declaration","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_declaration","Begin");
 
     vhdl.set_signal("internal_entity",_param._size_entity+1);
 
-    log_printf(FUNC,Priority_Fixed,"vhdl_declaration","End");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_declaration","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_port.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_port.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_port.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 #ifdef VHDL_TESTBENCH
@@ -19,11 +19,14 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::vhdl_port (Vhdl & vhdl)
+  void Select_Priority_Fixed::vhdl_port (Vhdl & vhdl)
   {
-    log_printf(FUNC,Priority_Fixed,"vhdl_port","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_port","Begin");
 
+    vhdl.set_port (" in_CLOCK ", IN, 1);
+    VHDL_SET_PORT (" in_NRESET", IN, 1);
+	
     for (uint32_t i=0; i<_param._nb_entity; i++)
       {
@@ -37,8 +40,8 @@
     VHDL_SET_PORT ("out_ENTITY_ACK",OUT,1);
       }
-    log_printf(FUNC,Priority_Fixed,"vhdl_port","End");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_port","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_label.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_label.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_label.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo                    {
@@ -12,10 +12,10 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::vhdl_testbench_label (string label)
+  void Select_Priority_Fixed::vhdl_testbench_label (string label)
   {
-    log_printf(FUNC,Priority_Fixed,"vhdl_testbench_label","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_testbench_label","Begin");
 
 #ifdef VHDL_TESTBENCH
@@ -23,8 +23,8 @@
 #endif
     
-    log_printf(FUNC,Priority_Fixed,"vhdl_testbench_label","End");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_testbench_label","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_transition.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Select_Priority_Fixed_vhdl_testbench_transition.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Priority_Fixed.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Select_Priority_Fixed.h"
 
 namespace morpheo                    {
@@ -13,18 +13,20 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
-  void Priority_Fixed::vhdl_testbench_transition ()
+  void Select_Priority_Fixed::vhdl_testbench_transition ()
   {
-    log_printf(FUNC,Priority_Fixed,"vhdl_testbench_transition","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_testbench_transition","Begin");
 
     // Evaluation before read the ouput signal
     sc_start(0);
 
-    // In order with file Priority_Fixed_vhdl_testbench_port.cpp
+    // In order with file Select_Priority_Fixed_vhdl_testbench_port.cpp
     // Warning : if a output depend of a subcomponent, take directly the port of subcomponent
     // (because we have no control on the ordonnancer's policy)
 
+    _vhdl_testbench->add_input (PORT_READ( in_NRESET));
+    
     for (uint32_t i=0; i<_param._nb_entity; i++)
       {
@@ -46,8 +48,8 @@
     _vhdl_testbench->new_cycle (); // always at the end
 
-    log_printf(FUNC,Priority_Fixed,"vhdl_testbench_transition","End");
+    log_printf(FUNC,Select_Priority_Fixed,"vhdl_testbench_transition","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Statistics.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"
 
 namespace morpheo                    {
@@ -13,5 +13,5 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
@@ -24,15 +24,15 @@
     _parameters(parameters)
   {
-    log_printf(FUNC,Priority_Fixed,"Statistics","Begin");
-    log_printf(FUNC,Priority_Fixed,"Statistics","End");
+    log_printf(FUNC,Select_Priority_Fixed,"Statistics","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"Statistics","End");
   };
   
   Statistics::~Statistics () 
   { 
-    log_printf(FUNC,Priority_Fixed,"~Statistics","Begin");
-    log_printf(FUNC,Priority_Fixed,"~Statistics","End");
+    log_printf(FUNC,Select_Priority_Fixed,"~Statistics","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"~Statistics","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_add.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_add.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_add.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Statistics.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"
 
 #include <sstream>
@@ -16,14 +16,14 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
   void Statistics::add ()
   {
-    log_printf(FUNC,Priority_Fixed,"add","Begin");
-    log_printf(FUNC,Priority_Fixed,"add","End");
+    log_printf(FUNC,Select_Priority_Fixed,"add","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"add","End");
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_print.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_print.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Statistics.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"
 
 #include <sstream>
@@ -16,19 +16,19 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
   string Statistics::print (uint32_t depth)
   {
-    log_printf(FUNC,Priority_Fixed,"print","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"print","Begin");
 
     string        tab = string(depth,'\t');
     ostringstream msg;
 
-    msg << tab << "<priority_fixed name=\"" << _name << "\" >" << endl
+    msg << tab << "<select_priority_fixed name=\"" << _name << "\" >" << endl
         << print_body(depth+1) << endl
-	<< tab << "</priority_fixed>" << endl;
+	<< tab << "</select_priority_fixed>" << endl;
     
-    log_printf(FUNC,Priority_Fixed,"print","End");
+    log_printf(FUNC,Select_Priority_Fixed,"print","End");
 
     return msg.str();
@@ -36,5 +36,5 @@
 
   ostream& operator<< (ostream& output_stream ,
-		       morpheo::behavioural::generic::select::priority_fixed::Statistics & x)
+		       morpheo::behavioural::generic::select::select_priority_fixed::Statistics & x)
   {
     output_stream << x.print(0);
@@ -43,5 +43,5 @@
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_print_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_print_body.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Select/Select_Priority_Fixed/src/Statistics_print_body.cpp	(revision 15)
@@ -7,5 +7,5 @@
  */
 
-#include "Behavioural/Generic/Select/Priority_Fixed/include/Statistics.h"
+#include "Behavioural/Generic/Select/Select_Priority_Fixed/include/Statistics.h"
 
 #include <sstream>
@@ -16,10 +16,10 @@
 namespace generic {
 namespace select {
-namespace priority_fixed {
+namespace select_priority_fixed {
 
 
   string Statistics::print_body (uint32_t depth)
   {
-    log_printf(FUNC,Priority_Fixed,"print_body","Begin");
+    log_printf(FUNC,Select_Priority_Fixed,"print_body","Begin");
 
     string        tab = string(depth,'\t');
@@ -28,10 +28,10 @@
     msg << tab << "";
     
-    log_printf(FUNC,Priority_Fixed,"print_body","End");
+    log_printf(FUNC,Select_Priority_Fixed,"print_body","End");
 
     return msg.str();
   };
 
-}; // end namespace priority_fixed
+}; // end namespace select_priority_fixed
 }; // end namespace select
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile	(revision 15)
@@ -11,6 +11,5 @@
 
 #-----[ Library ]------------------------------------------
-LIBRARY				= $(DIR_LIB)/libPseudo_LRU.a
-
+LIBRARY				= $(DIR_LIB)/libVictim_Pseudo_LRU.a
 
 #-----[ include ]------------------------------------------
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.deps	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/Makefile.deps	(revision 15)
@@ -15,23 +15,23 @@
 endif
 
-Pseudo_LRU			= yes
+Victim_Pseudo_LRU			= yes
 #-----[ Library ]------------------------------------------
-Pseudo_LRU_LIBRARY		= 	-lPseudo_LRU		\
-					$(Group_LIBRARY)	\
-					$(Behavioural_LIBRARY)	
+Victim_Pseudo_LRU_LIBRARY		= 	-lVictim_Pseudo_LRU		\
+						$(Group_LIBRARY)		\
+						$(Behavioural_LIBRARY)	
 
-Pseudo_LRU_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Victim/Pseudo_LRU/lib	\
-					$(Group_DIR_LIBRARY)						\
-					$(Behavioural_DIR_LIBRARY)	
+Victim_Pseudo_LRU_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU/lib	\
+						$(Group_DIR_LIBRARY)							\
+						$(Behavioural_DIR_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Pseudo_LRU_library		:
+Victim_Pseudo_LRU_library		:
 				@$(MAKE)  Behavioural_library
 				@$(MAKE)  Group_library
-				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Pseudo_LRU --makefile=Makefile 
+				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU --makefile=Makefile 
 				
-Pseudo_LRU_library_clean	:
+Victim_Pseudo_LRU_library_clean	:
 				@$(MAKE)  Behavioural_library_clean
 				@$(MAKE)  Group_library_clean
-				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Pseudo_LRU --makefile=Makefile clean
+				@$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Victim/Victim_Pseudo_LRU --makefile=Makefile clean
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/Makefile
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/Makefile	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/Makefile	(revision 15)
@@ -10,7 +10,7 @@
 DIR_MORPHEO			= ../../../../..
 
-LIBRARY				= $(Pseudo_LRU_LIBRARY)
+LIBRARY				= $(Victim_Pseudo_LRU_LIBRARY)
 
-DIR_LIBRARY			= $(Pseudo_LRU_DIR_LIBRARY)
+DIR_LIBRARY			= $(Victim_Pseudo_LRU_DIR_LIBRARY)
 
 #-----[ include ]------------------------------------------
@@ -19,7 +19,7 @@
 				@$(MAKE) all_selftest
 
-library				: Pseudo_LRU_library
+library				: Victim_Pseudo_LRU_library
 
-library_clean			: Pseudo_LRU_library_clean
+library_clean			: Victim_Pseudo_LRU_library_clean
 
 include                         ../Makefile.deps
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/configuration.cfg
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/configuration.cfg	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/configuration.cfg	(revision 15)
@@ -1,3 +1,3 @@
-Pseudo_LRU
+Victim_Pseudo_LRU
 4	4 	*2	# nb_entity 
 1	1	+2	# nb_access 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/include/test.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/include/test.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/include/test.h	(revision 15)
@@ -4,5 +4,4 @@
  * [ Description ]
  * 
- * Test "RegisterFile"
  */
 
@@ -14,5 +13,5 @@
 #include <iostream>
 
-#include "Behavioural/Generic/Victim/Pseudo_LRU/include/Pseudo_LRU.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Victim_Pseudo_LRU.h"
 
 using namespace std;
@@ -22,6 +21,6 @@
 using namespace morpheo::behavioural::generic::victim;
 
-using namespace morpheo::behavioural::generic::victim::pseudo_lru;
+using namespace morpheo::behavioural::generic::victim::victim_pseudo_lru;
 
 void test   (string name,
-	     morpheo::behavioural::generic::victim::pseudo_lru::Parameters param);
+	     morpheo::behavioural::generic::victim::victim_pseudo_lru::Parameters param);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/main.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/main.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/main.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/Victim/Pseudo_LRU/SelfTest/include/test.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/include/test.h"
 
 #define NB_PARAMS 4
@@ -36,5 +36,5 @@
   const uint32_t size_table = atoi(argv[5]);
   
-  morpheo::behavioural::generic::victim::pseudo_lru::Parameters param (nb_entity ,
+  morpheo::behavioural::generic::victim::victim_pseudo_lru::Parameters param (nb_entity ,
 								       nb_access ,
 								       nb_update ,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/test.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/src/test.cpp	(revision 15)
@@ -7,9 +7,9 @@
  */
 
-#include "Behavioural/Generic/Victim/Pseudo_LRU/SelfTest/include/test.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/SelfTest/include/test.h"
 #include "Include/Test.h"
 
 void test (string name,
-	   morpheo::behavioural::generic::victim::pseudo_lru::Parameters param)
+	   morpheo::behavioural::generic::victim::victim_pseudo_lru::Parameters param)
 {
   cout << "<" << name << "> : Simulation SystemC" << endl;
@@ -36,5 +36,5 @@
       exit (EXIT_FAILURE);
     }
-  Pseudo_LRU * _Pseudo_LRU = new Pseudo_LRU (name.c_str(),
+  Victim_Pseudo_LRU * _Victim_Pseudo_LRU = new Victim_Pseudo_LRU (name.c_str(),
 #ifdef STATISTICS
 					     morpheo::behavioural::Parameters_Statistics(5,50),
@@ -46,5 +46,6 @@
    * Déclarations des signaux
    *********************************************************************/
-  sc_clock                                 CLOCK ("clock", 1.0, 0.5);
+  sc_clock                                 CLOCK  ("clock", 1.0, 0.5);
+  sc_signal<Tcontrol_t>                    NRESET ("NRESET");
 
   sc_signal<Tcontrol_t>                    ACCESS_VAL     [param._nb_access];
@@ -62,24 +63,25 @@
    ********************************************************/
   
-  cout << "<" << name << "> Instanciation of _Pseudo_LRU" << endl;
-  
-  (*(_Pseudo_LRU->in_CLOCK))        (CLOCK);
+  cout << "<" << name << "> Instanciation of _Victim_Pseudo_LRU" << endl;
+  
+  (*(_Victim_Pseudo_LRU->in_CLOCK))        (CLOCK);
+  (*(_Victim_Pseudo_LRU->in_NRESET))       (NRESET);
 
     for (uint32_t i=0; i<param._nb_access; i++)
       {
-	(*(_Pseudo_LRU-> in_ACCESS_VAL     [i])) (ACCESS_VAL     [i]);
-	(*(_Pseudo_LRU->out_ACCESS_ACK     [i])) (ACCESS_ACK     [i]);
+	(*(_Victim_Pseudo_LRU-> in_ACCESS_VAL     [i])) (ACCESS_VAL     [i]);
+	(*(_Victim_Pseudo_LRU->out_ACCESS_ACK     [i])) (ACCESS_ACK     [i]);
 	if (param._size_table>1)
-	(*(_Pseudo_LRU-> in_ACCESS_ADDRESS [i])) (ACCESS_ADDRESS [i]);
-	(*(_Pseudo_LRU->out_ACCESS_ENTITY  [i])) (ACCESS_ENTITY  [i]);
+	(*(_Victim_Pseudo_LRU-> in_ACCESS_ADDRESS [i])) (ACCESS_ADDRESS [i]);
+	(*(_Victim_Pseudo_LRU->out_ACCESS_ENTITY  [i])) (ACCESS_ENTITY  [i]);
       }
 
     for (uint32_t i=0; i<param._nb_update; i++)
       {
-	(*(_Pseudo_LRU-> in_UPDATE_VAL     [i])) (UPDATE_VAL     [i]);
-	(*(_Pseudo_LRU->out_UPDATE_ACK     [i])) (UPDATE_ACK     [i]);
+	(*(_Victim_Pseudo_LRU-> in_UPDATE_VAL     [i])) (UPDATE_VAL     [i]);
+	(*(_Victim_Pseudo_LRU->out_UPDATE_ACK     [i])) (UPDATE_ACK     [i]);
 	if (param._size_table>1)
-	(*(_Pseudo_LRU-> in_UPDATE_ADDRESS [i])) (UPDATE_ADDRESS [i]);
-	(*(_Pseudo_LRU-> in_UPDATE_ENTITY  [i])) (UPDATE_ENTITY  [i]);
+	(*(_Victim_Pseudo_LRU-> in_UPDATE_ADDRESS [i])) (UPDATE_ADDRESS [i]);
+	(*(_Victim_Pseudo_LRU-> in_UPDATE_ENTITY  [i])) (UPDATE_ENTITY  [i]);
       }
   /********************************************************
@@ -204,4 +206,4 @@
 #endif
 
-  delete _Pseudo_LRU;
+  delete _Victim_Pseudo_LRU;
 }
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Parameters.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Parameters.h	(revision 15)
@@ -1,4 +1,4 @@
-#ifndef morpheo_behavioural_generic_victim_pseudo_lru_Parameters_h
-#define morpheo_behavioural_generic_victim_pseudo_lru_Parameters_h
+#ifndef morpheo_behavioural_generic_victim_victim_pseudo_lru_Parameters_h
+#define morpheo_behavioural_generic_victim_victim_pseudo_lru_Parameters_h
 
 /*
@@ -16,5 +16,5 @@
 namespace generic {
 namespace victim {
-namespace pseudo_lru {
+namespace victim_pseudo_lru {
 
 
@@ -25,5 +25,5 @@
   public : const uint32_t _nb_access ; // number of port to select an entity
   public : const uint32_t _nb_update ; // number of port to update the internal entity
-  public : const uint32_t _size_table; // Size of pseudo_LRU's table
+  public : const uint32_t _size_table; // Size of victim_pseudo_lru's table
 
     //-----[ methods ]-----------------------------------------------------------
@@ -39,8 +39,8 @@
   public :        string   print      (uint32_t depth);
   public : friend ostream& operator<< (ostream& output_stream,
-				       morpheo::behavioural::generic::victim::pseudo_lru::Parameters & x);
+				       morpheo::behavioural::generic::victim::victim_pseudo_lru::Parameters & x);
   };
 
-}; // end namespace pseudo_lru
+}; // end namespace victim_pseudo_lru
 }; // end namespace victim
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Statistics.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Statistics.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Statistics.h	(revision 15)
@@ -1,5 +1,5 @@
 #ifdef STATISTICS
-#ifndef morpheo_behavioural_generic_victim_pseudo_lru_Statistics_h
-#define morpheo_behavioural_generic_victim_pseudo_lru_Statistics_h
+#ifndef morpheo_behavioural_generic_victim_victim_pseudo_lru_Statistics_h
+#define morpheo_behavioural_generic_victim_victim_pseudo_lru_Statistics_h
 
 /*
@@ -13,5 +13,5 @@
 #include "Behavioural/include/Parameters_Statistics.h"
 #include "Behavioural/Generic/Group/include/Statistics.h"
-#include "Behavioural/Generic/Victim/Pseudo_LRU/include/Parameters.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Parameters.h"
 
 using namespace morpheo::behavioural::generic::group;
@@ -21,5 +21,5 @@
 namespace generic {
 namespace victim {
-namespace pseudo_lru {
+namespace victim_pseudo_lru {
 
 
@@ -49,5 +49,5 @@
   };
 
-}; // end namespace pseudo_lru
+}; // end namespace victim_pseudo_lru
 }; // end namespace victim
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Types.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Types.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Types.h	(revision 15)
@@ -1,4 +1,4 @@
-#ifndef morpheo_behavioural_generic_victim_pseudo_lru_Type_h
-#define morpheo_behavioural_generic_victim_pseudo_lru_Type_h
+#ifndef morpheo_behavioural_generic_victim_victim_pseudo_lru_Type_h
+#define morpheo_behavioural_generic_victim_victim_pseudo_lru_Type_h
 
 /*
@@ -15,10 +15,10 @@
 namespace generic {
 namespace victim {
-namespace pseudo_lru {
+namespace victim_pseudo_lru {
 
   typedef uint32_t Taddress_t;
   typedef uint32_t Tentity_t;
 
-}; // end namespace pseudo._lru
+}; // end namespace victim_pseudo_lru
 }; // end namespace victim
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Victim_Pseudo_LRU.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Victim_Pseudo_LRU.h	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Victim_Pseudo_LRU.h	(revision 15)
@@ -1,4 +1,4 @@
-#ifndef morpheo_behavioural_generic_victim_pseudo_lru_Pseudo_LRU_h
-#define morpheo_behavioural_generic_victim_pseudo_lru_Pseudo_LRU_h
+#ifndef morpheo_behavioural_generic_victim_victim_pseudo_lru_Victim_Pseudo_LRU_h
+#define morpheo_behavioural_generic_victim_victim_pseudo_lru_Victim_Pseudo_LRU_h
 
 /*
@@ -32,8 +32,8 @@
 #include "Include/Debug.h"
 
-#include "Behavioural/Generic/Victim/Pseudo_LRU/include/Parameters.h"
-#include "Behavioural/Generic/Victim/Pseudo_LRU/include/Types.h"
-#ifdef STATISTICS
-#include "Behavioural/Generic/Victim/Pseudo_LRU/include/Statistics.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Parameters.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Types.h"
+#ifdef STATISTICS
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Statistics.h"
 #endif
 #ifdef VHDL
@@ -50,7 +50,7 @@
 namespace generic {
 namespace victim {
-namespace pseudo_lru {
-
-  class Pseudo_LRU 
+namespace victim_pseudo_lru {
+
+  class Victim_Pseudo_LRU 
 #if SYSTEMC
     : public sc_module
@@ -60,5 +60,5 @@
   protected : class entry_t
   {
-    // Numerotation of pseudo_LRU's tree
+    // Numerotation of victim_pseudo_lru's tree
     // Tree of Pseudo-LRU
     //
@@ -183,4 +183,5 @@
     // Interface
   public    : SC_CLOCK                      *  in_CLOCK         ;
+  public    : SC_IN (Tcontrol_t)            *  in_NRESET        ;
 
     // Interface access
@@ -206,8 +207,8 @@
 
 #ifdef SYSTEMC
-    SC_HAS_PROCESS (Pseudo_LRU);
-#endif
-
-  public  :          Pseudo_LRU              (
+    SC_HAS_PROCESS (Victim_Pseudo_LRU);
+#endif
+
+  public  :          Victim_Pseudo_LRU              (
 #ifdef SYSTEMC
 					      sc_module_name                              name,
@@ -220,6 +221,6 @@
 					      Parameters                                  param );
 					       
-  public  :          Pseudo_LRU              (Parameters param );
-  public  :          ~Pseudo_LRU             (void);
+  public  :          Victim_Pseudo_LRU              (Parameters param );
+  public  :          ~Victim_Pseudo_LRU             (void);
 					       
 #ifdef SYSTEMC				       
@@ -249,5 +250,5 @@
   };
 
-}; // end namespace pseudo_lru
+}; // end namespace victim_pseudo_lru
 }; // end namespace victim
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Parameters.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Parameters.cpp	(revision 15)
@@ -6,5 +6,5 @@
  */
 
-#include "Behavioural/Generic/Victim/Pseudo_LRU/include/Parameters.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Parameters.h"
 
 namespace morpheo {
@@ -12,5 +12,5 @@
 namespace generic {
 namespace victim {
-namespace pseudo_lru {
+namespace victim_pseudo_lru {
 
 
@@ -39,5 +39,5 @@
   { };
 
-}; // end namespace pseudo_lru
+}; // end namespace victim_pseudo_lru
 }; // end namespace victim
 }; // end namespace generic
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Parameters_msg_error.cpp	(revision 11)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/Victim/Victim_Pseudo_LRU/src/Parameters_msg_error.cpp	(revision 15)
@@ -6,6 +6,6 @@
  */
 
-#include "Behavioural/Generic/Victim/Pseudo_LRU/include/Parameters.h"
-#include "Behavioural/Generic/Victim/Pseudo_LRU/include/Types.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Parameters.h"
+#include "Behavioural/Generic/Victim/Victim_Pseudo_LRU/include/Types.h"
 #include <sstream>
 using namespace std;
@@ -15,5 +15,5 @@
 namespace generic {
 namespace victim {
-namespace pseudo_lru {
+namespace victim_pseudo_lru {
 
   string Parameters::msg_error(void)
@@ -65,5 +65,5 @@
   };
 
-}; // end namespace pseudo_lru
+}; // end namespace victim_pseudo_lru
 }; // end namespace victim
 }; // end namespace generic
